#### D.2.12.23 isQuotientRing

Procedure from library `ring.lib` (see ring_lib).

Return:
  1 if rng is a quotient ring, 0 otherwise.

Purpose:
  check if typeof a rng "qring"

Example:

    LIB "ring.lib";
    ring rng = 0,x,dp;
    isQuotientRing(rng); //no
    ==> 0
    // if a certain method does not support quotient rings,
    // then a parameter test could be performed:
    ASSUME( 0, 0==isQuotientRing(basering));
    qring q= ideal(x);  // constructs rng/ideal(x)
    isQuotientRing(q);  // yes
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.